/*
 * wrapper main that calls the doit() for all of the admin tools.
 *
 * Copyright (c) 1997 David L Parsons 
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that the above copyright notice and this paragraph are
 * duplicated in all such forms and that any documentation,
 * advertising materials, and other materials related to such
 * distribution and use acknowledge that the software was developed
 * by David L Parsons (orc@pell.chi.il.us).  My name may not be used
 * to endorse or promote products derived from this software without
 * specific prior written permission.  THIS SOFTWARE IS PROVIDED
 * ``AS IS'' AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
 * WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTIBILITY AND
 * FITNESS FOR A PARTICULAR PURPOSE.
 */

static const char rcsid[] = "$Id: s.rootmenu.c 1.7 02/06/07 10:12:08-07:00 root@egypt.pell.portland.or.us $";

#include <stdio.h>
#include <dialog.h>

#include "admin.h"

extern int doit();

void
main(int argc, char **argv)
{
    char *helpline;
    init_dialog();
#if WITH_NCURSES
    if (has_key(KEY_F(1)))
	helpline = "Press F1 to get help, use [tab], arrow keys, and the mouse to move";
    else
	helpline = "Press Control-X 1 to get help, use [tab], arrow keys, and the mouse to move";
#endif

    use_helpline(helpline);
    setHelpRoot(HELPDIR);
    doit(argc, argv);
    use_helpline("");
    end_dialog();
}
